ru.bitel.bgbilling.modules.agr.common.service

## Interface AGRService

- All Superinterfaces:
    PaymentServiceProvider

      public interface AGRService
      extends PaymentServiceProvider

  Интерфейс веб-сервиса платежного модуля AGR. Содержит методы, которые вызываются и из ЛК, и из клиентской части, и из executer'а

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkStatusTransaction(int transactionId)` Проверка статуса конретной транзакции путем отправки запрос в AGR.
    `java.util.List<java.lang.String>` | `getAgrPaymentSystemList()` Получение списка платежных систем, через которые AGR проводил оплату.
    `SearchResult<Transaction>` | `searchBySearchData(java.lang.String searchData, Period period, int status, java.lang.String paySystem)` Получение списка транзацкций по поиску совпадение введённых пользователем данных(id транзакции, title договора, id договора)
    `SearchResult<Transaction>` | `searchTransactionList(int contractId, java.lang.String contractTitle, java.lang.String status, java.lang.String agrPaymentSystem, Period period, Page page)` Получение списка транзакций с возможностью фильтрации по договору, статусу, периоду.

    - ### Methods inherited from interface ru.bitel.bgbilling.common.service.PaymentServiceProvider

      `autopaymentDeactivate, autopaymentGet, beginAutopaymentTransaction, beginTransaction, endTransaction`

- - ### Method Detail

    - #### searchTransactionList

          SearchResult<Transaction> searchTransactionList(int contractId,
                                                          java.lang.String contractTitle,
                                                          java.lang.String status,
                                                          java.lang.String agrPaymentSystem,
                                                          Period period,
                                                          Page page)
                                                   throws ru.bitel.bgbilling.common.BGException

      Получение списка транзакций с возможностью фильтрации по договору, статусу, периоду.
      Parameters:
        `contractId` - код договора
        `contractTitle` - название договора
        `status` - числовой код статуса. (см. `TransactionStatus`
        `agrPaymentSystem` - платежная система, по которой проходили платежи через agr.
        `period` - период фильтрации транзакций.
      Returns:
        список транзакций.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### checkStatusTransaction

          void checkStatusTransaction(int transactionId)
                               throws ru.bitel.bgbilling.common.BGException

      Проверка статуса конретной транзакции путем отправки запрос в AGR.
      Parameters:
        `transactionId` -
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getAgrPaymentSystemList

          java.util.List<java.lang.String> getAgrPaymentSystemList()
                                                            throws ru.bitel.bgbilling.common.BGException

      Получение списка платежных систем, через которые AGR проводил оплату. Используется в фильтре платежей модуля.
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### searchBySearchData

          SearchResult<Transaction> searchBySearchData(java.lang.String searchData,
                                                       Period period,
                                                       int status,
                                                       java.lang.String paySystem)
                                                throws ru.bitel.bgbilling.common.BGException

      Получение списка транзацкций по поиску совпадение введённых пользователем данных(id транзакции, title договора, id договора)
      Parameters:
        `searchData` - - полученные от пользователя данные для поиска транзакций
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`